HMT Time Now
HMT is the abbreviation of Heard and McDonald Islands Time. Time zone offset of HMT is UTC+05. Heard and McDonald Islands Time is 5 hours ahead from the UTC universal time. HMT current date is 18th Sunday October 2026. Current time in HMT (HMT).
HMT Time
13:01:05
18 October 2026 Sunday
HMT (Heard and McDonald Islands Time), as it becomes apparent from its name, this time standard is used at Heard and MacDonald Islands, considered to be a part of Australia territory and located closer to Antarctica. There are only scientists and researchers living temporary at the island. Heard and McDonald Islands Time is 5 hours ahead of the UTC universal time.
What time is it in Heard and McDonald Islands Time now? It is 13:01:05 right now.
Heard and McDonald Islands Time Date and Time Now in Various Formats
| Date Time Format | HMT Date Time Now |
|---|---|
| UTC | 2026-10-18T13:01:05Z |
| ISO-8601 | 2026-10-18T13:01:05+0000 |
| RFC 2822 | Sun, 18 Oct 2026 13:01:05 +0000 |
| RFC 850 | Sunday, 18-Oct-26 13:01:05 UTC |
| RFC 1036 | Sun, 18 Oct 26 13:01:05 +0000 |
| RFC 1123 | Sun, 18 Oct 2026 13:01:05 +0000 |
| RFC 822 | Sun, 18 Oct 26 13:01:05 +0000 |
| RFC 3339 | 2026-10-18T13:01:05+00:00 |
| ATOM | 2026-10-18T13:01:05+00:00 |
| COOKIE | Sunday, 18-Oct-2026 13:01:05 UTC |
| RSS | Sun, 18 Oct 2026 13:01:05 +0000 |
| W3C | 2026-10-18T13:01:05+00:00 |
| Unix Epoch | 1792328465 |
| YYYY-DD-MM HH:MM:SS | 2026-18-10 13:01:05 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-18-10 01:01:05 PM |
| DD-MM-YYYY HH:MM:SS | 18-10-2026 13:01:05 |
| MM-DD-YYYY HH:MM:SS | 10-18-2026 13:01:05 |